Bug 10367 - Fix several memory leaks
Fix several memory leaks
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.1.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-10 15:56 UTC by Andreas Schneider
Modified: 2014-01-15 10:21 UTC (History)
0 users

See Also:


Attachments
v4-1-test patch (5.22 KB, patch)
2014-01-10 15:56 UTC, Andreas Schneider
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2014-01-10 15:56:13 UTC
Created attachment 9566 [details]
v4-1-test patch

Fix several memory leaks and a strict aliasing warning.
Comment 1 Guenther Deschner 2014-01-10 15:58:53 UTC
Comment on attachment 9566 [details]
v4-1-test patch

looks good, thanks!
Comment 2 Andreas Schneider 2014-01-13 08:11:47 UTC
Karolin, please add to 4.1. Thanks!
Comment 3 Karolin Seeger 2014-01-13 09:19:12 UTC
Pushed to autobuild-v4-1-test.
Comment 4 Karolin Seeger 2014-01-15 10:21:01 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!